.turbo {
  cursor: pointer;
  overflow: visible;
}

.turbo__frame {
  transition: fill 0.35s ease;
}

.turbo__arrow {
  transform-box: fill-box;
  transform-origin: center;
  transition: transform 0.35s ease;
}

.turbo[data-state=turboOff] .turbo__arrow {
  transform: rotate(-147deg);
}

.turbo[data-state=turboLvl1] .turbo__arrow {
  transform: rotate(0deg);
}

.turbo[data-state=turboLvl2] .turbo__arrow {
  transform: rotate(140deg);
}
